DEV_GETBYHWADDR_RCU(9)

NAME
dev_getbyhwaddr_rcu - find a device by its hardware address

SYNOPSIS

struct net_device * dev_getbyhwaddr_rcu(struct net * net, unsigned short type, const char * ha);

ARGUMENTS

net
    the applicable net namespace

type
    media type of device

ha
    hardware address

DESCRIPTION

Search for an interface by MAC address. Returns NULL if the device is not found or a pointer to the device. The caller must hold RCU or RTNL. The returned device has not had its ref count increased and the caller must therefore be careful about locking

COPYRIGHT